{ pkgs, lib, nix-flatpak, agenix, nixpkgs, ... }:

let
  calamares-auto-start = pkgs.makeAutostartItem { name = "io.calamares.calamares"; package = pkgs.calamares-nixos; };
in {
  imports =
    [
      ../../users/lyes
      ../../users/lyes/desktop

      ../../modules
      ../../modules/desktop
      ../../modules/gaming
      ../../modules/gnome
      ../../modules/sway

      nix-flatpak.nixosModules.nix-flatpak
      agenix.nixosModules.default
      "${nixpkgs}/nixos/modules/installer/cd-dvd/installation-cd-minimal.nix"
      "${nixpkgs}/nixos/modules/installer/cd-dvd/channel.nix"
    ];

  # VMs
  services.spice-vdagentd.enable = true;
  services.qemuGuest.enable = true;

  # Calamares for graphical installation
  environment.systemPackages = with pkgs; [
    libsForQt5.kpmcore
    calamares-nixos
    calamares-auto-start
    calamares-nixos-extensions
  ];

  networking.hostName = "lyes-iso";
  networking.wireless.enable = lib.mkForce false;

  # services.displayManager.autoLogin.user = lib.mkForce "lyes";
}
